Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.security
Interface ExportMBean

All Known Subinterfaces:
  DefaultAuthenticatorMBean, DefaultAuthorizerMBean, DefaultCredentialMapperMBean, DefaultRoleMapperMBean

public interface ExportMBean
extends weblogic.management.commo.StandardInterface

Provides a set of methods for exporting provider specific data. A provider MBean can optionally extend this MBean. The WebLogic Server Administration Console detects when a provider extends this MBean and automatically provides a GUI for using these methods.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Method Summary
`void` | `exportData(java.lang.String format, java.lang.String filename, java.util.Properties constraints)` Exports provider specific data in a specified format.
`java.lang.String[]` | `getSupportedExportConstraints()` A list of export constraints that this provider supports.
`java.lang.String[]` | `getSupportedExportFormats()` A list of export data formats that this provider supports.

Methods inherited from interface weblogic.management.commo.StandardInterface
`wls_getAttributeTag, wls_getConstructorTag, wls_getDisplayName, wls_getInterfaceClassName, wls_getMBeanTag, wls_getNotificationTag, wls_getObjectName, wls_getOperationTag, wls_instanceOf`

Method Detail

### getSupportedExportFormats

    public java.lang.String[] getSupportedExportFormats()

  A list of export data formats that this provider supports.

  Legal NULL: true

### getSupportedExportConstraints

    public java.lang.String[] getSupportedExportConstraints()

  A list of export constraints that this provider supports.

  Legal NULL: true

### exportData

    public void exportData(java.lang.String format,
                           java.lang.String filename,
                           java.util.Properties constraints)
                    throws InvalidParameterException,
                           ErrorCollectionException

  Exports provider specific data in a specified format. When errors occur, the MBean throws an ErrorCollectionException containing a list of `java.lang.Exceptions, where the text of each exception describes the error.`

  Parameters:
    `format` - - The format for exporting provider specific data.
    `filename` - - The full path to the filename used to write data.
    `constraints` - - The constraints to be used when exporting data. A null value indicates that all data will be exported.
  Throws:
    InvalidParameterException -
    ErrorCollectionException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD